Results 1 to 10 of 10

Thread: devede_ng doesnt start

  1. #1

    Default devede_ng doesnt start

    Hello.

    devede_ng doesnt start on fresh install Tumbleweed. If I run from terminal i get amongst other this error.

    Code:
    File "/usr/bin/devede_ng.py", line 49, in <module> mwindow = devedeng.project.devede_project()


    Anyone else with the same error? Anyone with a working devede_ng installation.

    Any tips help needed.

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,089
    Blog Entries
    14

    Default Re: devede_ng doesnt start

    This is probably related to the move from python 3.6 to 3.7, with devede-ng not yet being rebuilt with python 3.7

    FWIW, it's from the Packman repo.
    Last edited by Knurpht; 11-Feb-2019 at 07:11.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3

    Default Re: devede_ng doesnt start

    Ok.. Bare in mind that Im a newbie..

    Is this a devede-ng problem or Packman?

    As i can see it devede-ng is just a bunch of python scripts so there is no "build" of the program just copy the files to the correct places..
    But maybe Python 3.7 has broken something in the scripts?

  4. #4
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,089
    Blog Entries
    14

    Default Re: devede_ng doesnt start

    OK, I installed devedeng from the Packman repo. And, apart from throwing some Gtk warnings, it simply starts. FWIW, it indeed is nothing more than a python script. No, idea why it fails on your system.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  5. #5

    Default Re: devede_ng doesnt start

    I have the Packman repo and have switched the system packages to that.
    At first I had some missing GTK libs that i googled and found I think the cairo libs or something like that.
    After installing those i got the new error..

    Do you have Gnome or KDE? I have KDE maybe something more GTKish is missing..

  6. #6
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,089
    Blog Entries
    14

    Default Re: devede_ng doesnt start

    Quote Originally Posted by hence_persson View Post
    I have the Packman repo and have switched the system packages to that.
    At first I had some missing GTK libs that i googled and found I think the cairo libs or something like that.
    After installing those i got the new error..

    Do you have Gnome or KDE? I have KDE maybe something more GTKish is missing..
    KDE here. But, since we're on Tumbleweed: How did you upgrade? Should be 'sudo zypper dup'.
    The one thing I can think of, is to run that command, then try again.
    FWIW: I see the devedeng scripts in the python3.7 directories, so if you haven't upgraded yet, that might be the issue.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  7. #7

    Default Re: devede_ng doesnt start

    Quote Originally Posted by Knurpht View Post
    KDE here. But, since we're on Tumbleweed: How did you upgrade? Should be 'sudo zypper dup'.
    The one thing I can think of, is to run that command, then try again.
    FWIW: I see the devedeng scripts in the python3.7 directories, so if you haven't upgraded yet, that might be the issue.

    I did a fresh install on Friday evening. When I checked zypper dup yesterday there was nothing to do.

    Will try again today but I don't think that's the issue. Googling around I see other distros having problems with devedeng not exactly like mine but they are missing python packages etc etc.

    Maybe you have been rolling a longer time and have some packages installed that I'm missing..

    Where do you mean you have the devedeng scripts? Wich folder?

  8. #8

    Default Re: devede_ng doesnt start

    This is what I get in my terminal when trying to run now.

    Code:
    Version: 4.11.0
    Traceback (most recent call last):
      File "/usr/bin/devede_ng.py", line 49, in <module>
        mwindow = devedeng.project.devede_project()
      File "/usr/lib/python3.7/site-packages/devedeng/project.py", line 81, in __init__
        builder.connect_signals(self)
    ValueError: Pointer arguments are restricted to integers, capsules, and None. See: https://bugzilla.gnome.org/show_bug.cgi?id=683599
    The only thing that sticks out is when I install devede-ng I get a warning about missing dependency cdrkit-cdrtools-compat
    I google it and found https://software.opensuse.org/packag...drtools-compat wich installs ruby2.5

    This I did yesterday but when trying to reinstall I still get the dependency warning but I ignore that and install anyway.

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,089
    Blog Entries
    14

    Default Re: devede_ng doesnt start

    You're right re. the dependency. I chose to break devedeng ( i.e. not install the cdrkit... ). I should have told. Still it launches.
    De devedeng python stuff is in /usr/lib/python3.7/site-packages/devedeng
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10

    Default Re: devede_ng doesnt start

    My stuff is in the same place.

    I even tried the Devede-ng from the makers GIT.. Same error just on another line as the code in project.py has changed.

    Wrote to the maker and he replied

    I checked those lines and there is nothing wrong. I think you have to fill a bug report in Opensuse. This looks like a problem with pygobject and pygtk.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •